:root {
  color-scheme: light;
}

body {
  margin: 0;
  font-family: PlaywriteAUTAS;
  display: grid;
  grid-template-rows: auto 1fr auto;
  min-height: 100vh;
  background: white;
  color: black;
  transition: all 0.3s ease;
}

@media (min-width: 1000px) {
  .gallery {
    max-width: 90%;
    margin: 0 auto;
  }
}

@media (min-width: 1000px) {
  .header-content {
    max-width: 90%;
    margin: 0 auto;
    padding: 0;
    box-sizing: border-box;
  }
}

header {
  text-align: center;
  padding: 20px;
}

header h1 {
  text-align: left;
  margin: 0;
  padding-left: 10px;
  padding-top: 30px;
  margin: 0;
  font-size: 2rem;
}

header p {
  text-align: left;
  margin: 0;
  padding-left: 10px;
  margin: 5px 0 0;
  font-size: 1rem;
  color: #555;
}

.header-content {
  display: flex;
  justify-content: space-between;
  align-items: normal;
}

.header-text {
  flex: 1;
}

.header-photo {
  width: 200px;
  height: auto;
  object-fit: cover;
}

footer p {
  text-align: center;
  padding: 20px;
  margin: 0;
  font-size: 0.9rem;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  padding: 10px;
}

.gallery img {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 0px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}

.gallery img:hover {
  transform: scale(1.05);
}


#lightbox {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.3);
  display: none;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 1000;
}

#lightbox img {
  max-width: 95%;
  max-height: 87%;
  object-fit: contain;
  margin-top: 10px;
  margin-bottom: 10px;
}

#lightbox-caption {
  color: rgb(20, 20, 20);
  font-size: 1rem;
  text-align: center;
}

.lightbox-nav {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  pointer-events: none;
}

.lightbox-nav span {
  color: rgb(128, 128, 128);
  font-size: 3rem;
  cursor: pointer;
  user-select: none;
  padding: 30px;
  pointer-events: all;
  background: rgba(0, 0, 0, 0.1);
  border-radius: 0%;
  transition: background 0.3s;
}

.lightbox-nav span:hover {
  background: rgba(0, 0, 0, 0.4);
}

.button {
  font-family: Arial, Helvetica, sans-serif;
  background-color: black;
  color: white;
  font-size: 15px;
  border: none;
  padding: 3px 15px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  margin: 5px 5px;
  cursor: pointer;
}

@font-face {
  font-family: 'PlaywriteAUTAS';
  src: url('PlaywriteAUTAS-Thin.ttf') format('truetype');
}